package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.StoreEvaluation;
import shop.alien.entity.store.dto.GroupRes;
import shop.alien.entity.store.dto.StoreEvaluationDto;

import java.util.List;
import java.util.Map;

public interface StoreEvaluationService extends IService<StoreEvaluation> {

    boolean saveStoreEvaluation(StoreEvaluation storeEvaluation);

    Integer saveEvaluation(StoreEvaluationDto dto);


    Integer saveLev(Integer id, String content, String userId);


    Integer like(Integer id);


    Map<String, String> title(String storeId);

    IPage<StoreEvaluationDto> page(int page, int size, String storeId, String evaluationImage, String score, List<String> lable, String userId, String id);


    List<GroupRes> groupCount(String storeId);

}
